### Method

# Gio Subprocess communicate_utf8

#### Declaration [src]

    gboolean
    g_subprocess_communicate_utf8 (
      GSubprocess* subprocess,
      const char* stdin_buf,
      GCancellable* cancellable,
      char** stdout_buf,
      char** stderr_buf,
      GError** error
    )

#### Description [src]

Like g_subprocess_communicate(), but validates the output of the process as UTF-8, and returns it as a regular NUL terminated string.

On error, `stdout_buf` and `stderr_buf` will be set to undefined values and should not be used.

#### Parameters

`stdin_buf`

  Type: `const char*`

  Data to send to the stdin of the subprocess, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`stdout_buf`

  Type: `char**`

  Data read from the subprocess stdout.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`stderr_buf`

  Type: `char**`

  Data read from the subprocess stderr.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.